using Mapster;


namespace Model
{
    /// <summary>
    /// app版本管理 app_version
    /// </summary>
    [SugarTable("app_version", "app版本管理")]
    [Tenant("0")]
    public class AppVersion
    {
        /// <summary>
        /// 终端类型
        /// </summary>
        [SugarColumn(ColumnDescription = "终端类型", Length = 10, ColumnName = "terminal_kind")]
        public string terminalKind { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", Length = 20, ColumnName = "version_num")]
        public string versionNum { get; set; }


        /// <summary>
        /// 标题
        /// </summary>
        [SugarColumn(ColumnDescription = "标题", Length = 50, ColumnName = "title")]
        public string title { get; set; }


        /// <summary>
        /// 更新信息
        /// </summary>
        [SugarColumn(ColumnDescription = "更新信息", Length = 200, ColumnName = "info")]
        public string info { get; set; }


        /// <summary>
        /// 确定按钮文字
        /// </summary>
        [SugarColumn(ColumnDescription = "确定按钮文字", Length = 10, ColumnName = "confirm_text")]
        public string confirmText { get; set; }


        /// <summary>
        /// 取消按钮文字
        /// </summary>
        [SugarColumn(ColumnDescription = "取消按钮文字", Length = 10, ColumnName = "cancel_text")]
        public string cancelText { get; set; }


        /// <summary>
        /// 更新地址
        /// </summary>
        [SugarColumn(ColumnDescription = "更新地址", Length = 500, ColumnName = "download_url")]
        public string downloadUrl { get; set; }


        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 分类
        /// </summary>
        [SugarColumn(ColumnDescription = "分类", Length = 50, ColumnName = "kind")]
        public string kind { get; set; }


        /// <summary>
        /// 模板版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "模板版本号", Length = 50, ColumnName = "app_version")]
        public string appVersion { get; set; }



    }
}