using Mapster;


namespace Model
{
    /// <summary>
    /// 页面模板更新信息 page_update_info
    /// </summary>
    [SugarTable("page_update_info", "页面模板更新信息")]
    [Tenant("0")]
    public class PageUpdateInfo
    {
        /// <summary>
        /// 模板更新版本
        /// </summary>
        [SugarColumn(ColumnDescription = "模板更新版本", ColumnName = "module_version")]
        public int moduleVersion { get; set; }


        /// <summary>
        /// 模板路径
        /// </summary>
        [SugarColumn(ColumnDescription = "模板路径", Length = 200, ColumnName = "module_path")]
        public string modulePath { get; set; }


        /// <summary>
        /// 背景色
        /// </summary>
        [SugarColumn(ColumnDescription = "背景色", Length = 6, ColumnName = "backgroud_color")]
        public string backgroudColor { get; set; }


        /// <summary>
        /// 前景色
        /// </summary>
        [SugarColumn(ColumnDescription = "前景色", Length = 6, ColumnName = "text_color")]
        public string textColor { get; set; }


        /// <summary>
        /// 苹果状态栏
        /// </summary>
        [SugarColumn(ColumnDescription = "苹果状态栏", Length = 10, ColumnName = "status_bar_style")]
        public string statusBarStyle { get; set; }


        /// <summary>
        /// 是否显示头部
        /// </summary>
        [SugarColumn(ColumnDescription = "是否显示头部", ColumnName = "show_title")]
        public bool showTitle { get; set; }


        /// <summary>
        /// 顶部标题
        /// </summary>
        [SugarColumn(ColumnDescription = "顶部标题", Length = 50, ColumnName = "title")]
        public string title { get; set; }


        /// <summary>
        /// 是否显示滚动条
        /// </summary>
        [SugarColumn(ColumnDescription = "是否显示滚动条", ColumnName = "show_scroll_bar")]
        public bool showScrollBar { get; set; }


        /// <summary>
        /// 是否侧滑返回
        /// </summary>
        [SugarColumn(ColumnDescription = "是否侧滑返回", ColumnName = "skid_flag")]
        public bool skidFlag { get; set; }


        /// <summary>
        /// 左侧按钮1
        /// </summary>
        [SugarColumn(ColumnDescription = "左侧按钮1", Length = 100, ColumnName = "left_btn_1")]
        public string leftBtn1 { get; set; }


        /// <summary>
        /// 左侧按钮2
        /// </summary>
        [SugarColumn(ColumnDescription = "左侧按钮2", Length = 50, ColumnName = "left_btn_2")]
        public string leftBtn2 { get; set; }


        /// <summary>
        /// 右侧按钮1
        /// </summary>
        [SugarColumn(ColumnDescription = "右侧按钮1", Length = 50, ColumnName = "right_btn_1")]
        public string rightBtn1 { get; set; }


        /// <summary>
        /// 右侧按钮2
        /// </summary>
        [SugarColumn(ColumnDescription = "右侧按钮2", Length = 50, ColumnName = "right_btn_2")]
        public string rightBtn2 { get; set; }


        /// <summary>
        /// 左侧按钮1点击事件
        /// </summary>
        [SugarColumn(ColumnDescription = "左侧按钮1点击事件", ColumnName = "left_action_1")]
        public string leftAction1 { get; set; }


        /// <summary>
        /// 左侧按钮2点击事件
        /// </summary>
        [SugarColumn(ColumnDescription = "左侧按钮2点击事件", ColumnName = "left_action_2")]
        public string leftAction2 { get; set; }


        /// <summary>
        /// 右侧按钮1点击事件
        /// </summary>
        [SugarColumn(ColumnDescription = "右侧按钮1点击事件", ColumnName = "right_action_1")]
        public string rightAction1 { get; set; }


        /// <summary>
        /// 右侧按钮2点击事件
        /// </summary>
        [SugarColumn(ColumnDescription = "右侧按钮2点击事件", ColumnName = "right_action_2")]
        public string rightAction2 { get; set; }


        /// <summary>
        /// 下级页面
        /// </summary>
        [SugarColumn(ColumnDescription = "下级页面", Length = 500, ColumnName = "goto_pages")]
        public string gotoPages { get; set; }


        /// <summary>
        /// 是否强制更新
        /// </summary>
        [SugarColumn(ColumnDescription = "是否强制更新", ColumnName = "must_update")]
        public bool mustUpdate { get; set; }


        /// <summary>
        /// ID
        /// </summary>
        [SugarColumn(ColumnDescription = "ID", IsPrimaryKey = true, IsIdentity = true, ColumnName = "id")]
        public int id { get; set; }


        /// <summary>
        /// 状态
        /// </summary>
        [SugarColumn(ColumnDescription = "状态", ColumnName = "status")]
        public int status { get; set; }


        /// <summary>
        /// 排序
        /// </summary>
        [SugarColumn(ColumnDescription = "排序", ColumnName = "sort")]
        public int sort { get; set; }


        /// <summary>
        /// 版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "版本号", ColumnName = "version")]
        public int version { get; set; }


        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnDescription = "创建时间", ColumnName = "create_date")]
        public DateTime? createDate { get; set; }


        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnDescription = "更新时间", ColumnName = "update_date")]
        public DateTime? updateDate { get; set; }


        /// <summary>
        /// 分类
        /// </summary>
        [SugarColumn(ColumnDescription = "分类", Length = 50, ColumnName = "kind")]
        public string kind { get; set; }


        /// <summary>
        /// 是否读取网页标题
        /// </summary>
        [SugarColumn(ColumnDescription = "是否读取网页标题", ColumnName = "web_title")]
        public bool webTitle { get; set; }


        /// <summary>
        /// 模板版本号
        /// </summary>
        [SugarColumn(ColumnDescription = "模板版本号", Length = 50, ColumnName = "app_version")]
        public string appVersion { get; set; }



    }
}