using System;
using System.ComponentModel.DataAnnotations;
using Model.Base;

namespace Dto
{
    /// <summary>
    /// 页面数据检查
    /// </summary>
    public class AppPageInfoDto
    {
        /// <summary>
        /// 模板更新版本
        /// </summary>
        [Required(ErrorMessage = "模板更新版本不能为空")]
        [RegularExpression(@"^\d+$", ErrorMessage = "模板更新版本格式有误")]
        public int moduleVersion { get; set; }


        /// <summary>
        /// 模板路径
        /// </summary>
        [Required(ErrorMessage = "模板路径不能为空")]
        public string? modulePath { get; set; }


        /// <summary>
        /// 分类
        /// </summary>
        [Required(ErrorMessage = "分类不能为空")]
        public string? kind { get; set; }


        /// <summary>
        /// 模板版本号
        /// </summary>
        public string? appVersion { get; set; }



    }
}
