using Dto;
using Vo;
using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;

namespace Services
{
    public interface IFileUpdateInfoService : IBaseService<FileUpdateInfo>
    {
        /// <summary>
        /// 资源文件更新信息-列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>资源文件更新信息列表</returns>
        PagedInfo<FileUpdateInfoListVo> List([FromQuery] FileUpdateInfoListDto parm, [FromQuery] PagerInfo page);





        /// <summary>
        /// 资源文件更新信息-更新文件
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>资源文件更新信息更新文件</returns>
        public void UpdateFile([FromQuery] FileUpdateInfoUpdateFileDto parm);




        /// <summary>
        /// 生成APP配置文件
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>生成APP配置文件</returns>
        public string makeAppInitData(string kind, string appVersion = "");
    }
}
