using Dto;
using Vo;
using Model;
using Model.Base;
using Microsoft.AspNetCore.Mvc;

namespace Services
{
    public interface IPageUpdateInfoService : IBaseService<PageUpdateInfo>
    {
        /// <summary>
        /// 页面模板更新信息-列表
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>页面模板更新信息列表</returns>
        PagedInfo<PageUpdateInfoListVo> List([FromQuery] PageUpdateInfoListDto parm, [FromQuery] PagerInfo page);




        /// <summary>
        /// 页面模板更新信息-刷新文件
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>页面模板更新信息刷新文件</returns>
        void UpdateTemplate([FromQuery] PageUpdateInfoUpdateTemplateDto parm);




        /// <summary>
        /// 生成APP配置文件
        /// </summary>
        /// <param name="parm">请求参数</param>
        /// <returns>生成APP配置文件</returns>
        public string makeAppInitData(string kind, string appVersion = "");


    }
}
